<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Welcome in Pictures World</title>
        <!-- update the version number as needed -->
        <!-- <script defer src="/__/firebase/9.8.1/firebase-app-compat.js"></script> -->
        <!-- include only the Firebase features as you need -->
        <!-- <script defer src="/__/firebase/9.8.1/firebase-auth-compat.js"></script>
        <script defer src="/__/firebase/9.8.1/firebase-database-compat.js"></script>
        <script defer src="/__/firebase/9.8.1/firebase-firestore-compat.js"></script>
        <script defer src="/__/firebase/9.8.1/firebase-functions-compat.js"></script>
        <script defer src="/__/firebase/9.8.1/firebase-messaging-compat.js"></script>
        <script defer src="/__/firebase/9.8.1/firebase-storage-compat.js"></script>
        <script defer src="/__/firebase/9.8.1/firebase-analytics-compat.js"></script>
        <script defer src="/__/firebase/9.8.1/firebase-remote-config-compat.js"></script>
        <script defer src="/__/firebase/9.8.1/firebase-performance-compat.js"></script> -->
        <!--
        initialize the SDK after all desired features are loaded, set useEmulator to false
        to avoid connecting the SDK to running emulators.
        -->
        <!-- <script defer src="/__/firebase/init.js?useEmulator=true"></script> -->
    
        </style>
    </head>

    <body>
        <h2>Dodaj zdjęcie!</h2>
<label>Twoje zdjęcie:</label>
<input type="text" id="imageName" placeholder="Podaj nazwę obrazka">

<label id="imageExtension"></label>     <!-- wyświetlamy informację jakie rozszerzenie ma obraz -->
<button id="SelectImageButton">Wybierz zdjęcie</button> <!-- wybieramy obraz z dysku -->
<button id="UploadImageButton">Zapisz zdjęcie</button> <!-- wgrywamy obraz z dysku -->
<br/>
<label id="ProcessStatusBar"></label>
<img id="imageBox"/>
<br/>

<button id="getFilesButton">Pobierz listę plików</button>
<div id="allFilesList"></div>
<br/>
<button id="getImageButton">Get Image</button>
<img id="imageStorage"/>
<script type="module" src="appPicture.js"></script>
    </body>
</html>